## pg-comparator 2.2.6

=== Makefile ===
# $Id: Makefile 1528 2014-08-04 07:09:24Z coelho $

#
# PostgreSQL stuff
#

name		= pg_comparator

SCRIPTS		= $(name)
MODULES		= pgc_checksum pgc_casts
DATA_built	= $(MODULES:%=%.sql)
DATA		= xor_aggregate.sql
DOCS		= README.$(name) \
		  README.xor_aggregate \
		  README.pgc_checksum \
		  README.pgc_casts

EXTRA_CLEAN	= $(name).1 $(name).html pod2htm?.tmp

# get postgresql extension infrastructure
PG_CONFIG	= pg_config
PGXS	:= $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# derive documentation
$(name).1: $(name)
	pod2man --name $(name) $< > $@
	touch -r $< $@

$(name).html: $(name)
	pod2html --title $(name) $< | \
	  sed -e '/^<body style/a<h1>$(name)</h1>' > $@
	touch -r $< $@

# dependencies
pgc_checksum.o: jenkins.c fnv.c

pgsql_install: install
pgsql_uninstall: uninstall

#
# MySQL stuff
#
MY.c	= $(wildcard mysql_*.c)
MY.so	= $(MY.c:%.c=%.so)
MY.sql	= $(MY.c:%.c=%.sql)

MY_CONFIG	= mysql_config
MYDIR	= $(shell $(MY_CONFIG) --plugindir)/
MYCC	= $(CC) $(shell $(MY_CONFIG) --cflags)

mysql_%.so: mysql_%.c
	$(MYCC) -shared -o $@ $<
	chmod a+r-x $@

mysql_install: $(MY.so) $(MY.sql)
	chmod a+r $(MY.sql)
	cp -a $^ $(MYDIR)

mysql_uninstall:
	$(RM) $(addprefix $(MYDIR),$(MY.so) $(MY.sql))

#
# SQLite stuff
#
SQLITE.libdir	= /usr/local/lib

sqlite_checksum.so: sqlite_checksum.c
	gcc -Wall -fPIC -shared $< -o $@

sqlite_install: sqlite_checksum.so
	cp $< $(SQLITE.libdir)/
	chmod a+rx $(SQLITE.libdir)/sqlite_checksum.so

sqlite_uninstall:
	$(RM) $(SQLITE.libdir)/sqlite_checksum.so

clean: sqlite-clean
sqlite-clean:
	$(RM) sqlite_checksum.so

#
# common cleanup
#
clean: local-clean
local-clean:
	$(RM) *.so

#
# development stuff is ignored by the distribution
#
-include dev.mk

## pg-comparator 2.2.2

=== debian/changelog ===
pg-comparator (2.2.2-1) unstable; urgency=low

  * Adding postgresql-9.3 to recommended packages.
  * Imported Upstream version 2.2.2

 -- Ivan Mincik <ivan.mincik@gmail.com>  Sun, 12 Jan 2014 01:01:44 +0100

pg-comparator (2.2.1-1) unstable; urgency=low

  * Initial release (Closes: #646131)

 -- Ivan Mincik <ivan.mincik@gmail.com>  Wed, 08 Jan 2014 16:07:50 +0100

=== debian/control ===
Source: pg-comparator
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Ivan Mincik <ivan.mincik@gmail.com>
Section: database
Priority: optional
Build-Depends: debhelper (>= 9),
               postgresql-server-dev-9.3
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pg_comparator.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/pg_comparator.git
Homepage: http://www.coelho.net/pg_comparator/

Package: postgresql-comparator
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libdbi-perl,
         libdbd-pg-perl
Recommends: postgresql-9.3,
            libgetopt-long-descriptive-perl,
            libterm-readpassword-perl
Description: efficient PostgreSQL table content comparison and synchronization
 This script performs a network and time efficient comparison or
 synchronization of two possibly large tables on two PostgreSQL
 database servers, so as to detect inserted, updated or deleted tuples between
 these tables.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install *.so /usr/lib/postgresql/9.1/lib
	dh_install pgc_casts.sql pgc_checksum.sql xor_aggregate.sql /usr/share/postgresql/9.1/contrib
	dh_install pg_comparator /usr/bin
	rm -rf debian/postgresql-comparator/usr/lib/postgresql/9.1/bin

override_dh_installdocs:
	dh_installdocs --exclude=README.pg_comparator
	rm -rf debian/postgresql-comparator/usr/share/doc/postgresql/

override_dh_installman:
	pod2man --name pg_comparator pg_comparator > debian/pg_comparator.1
	dh_installman debian/pg_comparator.1

=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000037 /frs/download.php/[0-9]+/pg_comparator-([0-9.]+).tgz

## pg-comparator 2.2.5

=== debian/changelog ===
pg-comparator (2.2.5-2) unstable; urgency=medium

  * Team upload.
  * Change build dependency from postgresql-server-dev-9.3 to
    postgresql-server-dev-all.
    (closes: #757960)
  * Add gbp.conf to use pristine-tar by default.
  * Add patches to fix various typos.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 27 Aug 2014 09:50:23 +0200

pg-comparator (2.2.5-1) unstable; urgency=low

  * Imported Upstream version 2.2.5

 -- Ivan Mincik <ivan.mincik@gmail.com>  Thu, 24 Jul 2014 14:58:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: database
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               postgresql-server-dev-9.3
+               postgresql-server-dev-all
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pg_comparator.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/pg_comparator.git
@@ -16,7 +16,7 @@
          ${shlibs:Depends},
          libdbi-perl,
          libdbd-pg-perl
-Recommends: postgresql-9.3,
+Recommends: postgresql-9.4,
             libgetopt-long-descriptive-perl,
             libterm-readpassword-perl
 Description: efficient PostgreSQL table content comparison and synchronization

## pg-comparator 2.2.6

=== debian/changelog ===
pg-comparator (2.2.6-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Update recommended dependencies for PostgreSQL 9.6.
  * Bump Standards-Version to 3.9.8, no changes.
  * Add patch to fix 'minimum' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Sep 2016 18:48:18 +0200

pg-comparator (2.2.6-2) unstable; urgency=medium

  * Team upload.
  * Update recommended dependencies for PostgreSQL 9.5.
  * Update Vcs-Browser URL to use HTTPS.
  * Don't install duplicate files for PostgreSQL 9.1.
  * Enable parallel builds.
  * Add patches for new 'against' & 'below' typos.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jan 2016 17:09:01 +0100

pg-comparator (2.2.6-1) unstable; urgency=medium

  * Team upload.
  * Update watch file to not use pgFoundary.
  * New upstream release.
  * Update copyright file, changes:
    - Update Source URL
    - Use BSD-3-Clause instead of BSD license shortname
    - Update copyright years
    - Add license & copyright for fnv.c
  * Drop patches, applied upstream.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump Standards-Version to 3.9.6, no changes.
  * Add patch to fix 'allows one to' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Aug 2015 17:54:32 +0200

=== debian/control ===
Source: pg-comparator
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Ivan Mincik <ivan.mincik@gmail.com>
Section: database
Priority: optional
Build-Depends: debhelper (>= 9),
               postgresql-server-dev-all
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pg_comparator.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pg_comparator.git
Homepage: http://www.coelho.net/pg_comparator/

Package: postgresql-comparator
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libdbi-perl,
         libdbd-pg-perl
Recommends: postgresql-9.6,
            libgetopt-long-descriptive-perl,
            libterm-readpassword-perl
Description: efficient PostgreSQL table content comparison and synchronization
 This script performs a network and time efficient comparison or
 synchronization of two possibly large tables on two PostgreSQL
 database servers, so as to detect inserted, updated or deleted tuples between
 these tables.

## pg-comparator 2.3.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1528 2014-08-04 07:09:24Z coelho $
+# $Id: Makefile 1557 2015-08-17 07:44:52Z coelho $
 
 #
 # PostgreSQL stuff
@@ -6,14 +6,12 @@
 
 name		= pg_comparator
 
+EXTENSION	= pgcmp
 SCRIPTS		= $(name)
-MODULES		= pgc_checksum pgc_casts
-DATA_built	= $(MODULES:%=%.sql)
-DATA		= xor_aggregate.sql
-DOCS		= README.$(name) \
-		  README.xor_aggregate \
-		  README.pgc_checksum \
-		  README.pgc_casts
+MODULES		= $(EXTENSION)
+DATA_built	= $(name)
+DATA		= pgcmp--3.0.sql
+DOCS		= README.$(name)
 
 EXTRA_CLEAN	= $(name).1 $(name).html pod2htm?.tmp
 
@@ -33,7 +31,7 @@
 	touch -r $< $@
 
 # dependencies
-pgc_checksum.o: jenkins.c fnv.c
+pgcmp.o: jenkins.c fnv.c
 
 pgsql_install: install
 pgsql_uninstall: uninstall

=== debian/changelog ===
pg-comparator (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.1, no changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Sep 2017 11:17:21 +0200

pg-comparator (2.3.0-2~exp1) experimental; urgency=medium

  * Team upload.
  * Update recommended dependencies for PostgreSQL 10.
  * Bump Standards-Version to 4.1.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Sep 2017 22:51:44 +0200

pg-comparator (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Refresh patches.
  * Update copyright years for Fabien Coelho.
  * Add patch to not remove pg_comparator script in clean target.
  * Add patch to create extension control file.
  * Update spelling error patches to fix new issues too.
  * Drop docs files, other README files no longer included.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Jul 2017 09:27:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                postgresql-server-dev-all
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pg_comparator.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pg_comparator.git
 Homepage: http://www.coelho.net/pg_comparator/
@@ -16,7 +16,7 @@
          ${shlibs:Depends},
          libdbi-perl,
          libdbd-pg-perl
-Recommends: postgresql-9.6,
+Recommends: postgresql-10,
             libgetopt-long-descriptive-perl,
             libterm-readpassword-perl
 Description: efficient PostgreSQL table content comparison and synchronization

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,10 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_install:
-	dh_install *.so /usr/lib/postgresql/9.1/lib
-	dh_install pgc_casts.sql pgc_checksum.sql xor_aggregate.sql /usr/share/postgresql/9.1/contrib
 	dh_install pg_comparator /usr/bin
-	rm -rf debian/postgresql-comparator/usr/lib/postgresql/9.1/bin
 
 override_dh_installdocs:
 	dh_installdocs --exclude=README.pg_comparator

## pg-comparator 2.3.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1557 2015-08-17 07:44:52Z coelho $
+# $Id: Makefile 1579 2017-07-07 09:11:54Z coelho $
 
 #
 # PostgreSQL stuff
@@ -6,14 +6,14 @@
 
 name		= pg_comparator
 
+EXTVERSION	= 3.0
 EXTENSION	= pgcmp
 SCRIPTS		= $(name)
 MODULES		= $(EXTENSION)
-DATA_built	= $(name)
-DATA		= pgcmp--3.0.sql
+DATA		= $(EXTENSION)--$(EXTVERSION).sql
 DOCS		= README.$(name)
 
-EXTRA_CLEAN	= $(name).1 $(name).html pod2htm?.tmp
+EXTRA_CLEAN	= $(name).1 $(name).html pod2htm?.tmp $(EXTENSION).control
 
 # get postgresql extension infrastructure
 PG_CONFIG	= pg_config
@@ -35,6 +35,9 @@
 
 pgsql_install: install
 pgsql_uninstall: uninstall
+
+$(EXTENSION).control: $(EXTENSION).control.in
+	sed -e 's/@EXTVERSION@/$(EXTVERSION)/g' $< > $@
 
 #
 # MySQL stuff

=== debian/changelog ===
pg-comparator (2.3.1-5) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Oct 2019 15:45:26 +0100

pg-comparator (2.3.1-5~exp1) experimental; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes.
  * Update gbp.conf to use --source-only-changes by default.
  * Update packaging for postgresql-12.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Oct 2019 05:33:44 +0100

pg-comparator (2.3.1-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update recommended dependencies for PostgreSQL 11.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Oct 2018 08:19:05 +0200

pg-comparator (2.3.1-3) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 15:22:32 +0200

pg-comparator (2.3.1-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control file.
  * Add patch to fix wrong-path-for-interpreter lintian issue.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 29 Jul 2018 13:10:30 +0200

pg-comparator (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.3, no changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Mar 2018 17:26:45 +0100

=== debian/control ===
Source: pg-comparator
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Ivan Mincik <ivan.mincik@gmail.com>
Section: database
Priority: optional
Build-Depends: debhelper (>= 9),
               postgresql-server-dev-all
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pg_comparator
Vcs-Git: https://salsa.debian.org/debian-gis-team/pg_comparator.git
Homepage: http://www.coelho.net/pg_comparator/

Package: postgresql-comparator
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libdbi-perl,
         libdbd-pg-perl
Recommends: postgresql-12,
            libgetopt-long-descriptive-perl,
            libterm-readpassword-perl
Description: efficient PostgreSQL table content comparison and synchronization
 This script performs a network and time efficient comparison or
 synchronization of two possibly large tables on two PostgreSQL
 database servers, so as to detect inserted, updated or deleted tuples between
 these tables.

## pg-comparator 2.3.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1579 2017-07-07 09:11:54Z coelho $
+# $Id: Makefile 1592 2020-11-03 15:24:21Z coelho $
 
 #
 # PostgreSQL stuff
@@ -6,7 +6,7 @@
 
 name		= pg_comparator
 
-EXTVERSION	= 3.0
+EXTVERSION	= 3.1
 EXTENSION	= pgcmp
 SCRIPTS		= $(name)
 MODULES		= $(EXTENSION)

=== debian/changelog ===
pg-comparator (2.3.2-6) unstable; urgency=medium

  * Team upload.
  * Drop support for 32-bit architectures.
  * Bump Standards-Version to 4.7.2, no changes.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Update packaging for postgresql-18.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Oct 2025 06:57:26 +0200

pg-comparator (2.3.2-5) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update packaging for postgresql-17.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2024 10:48:07 +0200

pg-comparator (2.3.2-4) unstable; urgency=medium

  * Team upload.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Enable Salsa CI.
  * Update packaging for postgresql-16.
  * Fix URL in watch file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Sep 2023 18:32:55 +0200

pg-comparator (2.3.2-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update packaging for postgresql-15.
  * Update spelling-errors.patch.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Oct 2022 07:10:23 +0200

pg-comparator (2.3.2-2) unstable; urgency=medium

  * Team upload.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.
  * Add ${perl:Depends} substvar.
  * Update packaging for postgresql-14.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Oct 2021 21:52:27 +0200

pg-comparator (2.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Nov 2020 06:06:15 +0100

pg-comparator (2.3.1-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Update packaging for postgresql-13.
  * Update lintian overrides.
  * Replace tabs with spaces in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Oct 2020 07:53:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,22 @@
 Uploaders: Ivan Mincik <ivan.mincik@gmail.com>
 Section: database
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: architecture-is-64-bit <!pkg.postgresql.32-bit>,
+               debhelper-compat (= 13),
                postgresql-server-dev-all
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pg_comparator
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pg_comparator.git
-Homepage: http://www.coelho.net/pg_comparator/
+Homepage: https://www.coelho.net/sw/pg_comparator/
 
 Package: postgresql-comparator
 Architecture: any
-Depends: ${misc:Depends},
+Depends: libdbi-perl,
+         libdbd-pg-perl,
+         ${perl:Depends},
          ${shlibs:Depends},
-         libdbi-perl,
-         libdbd-pg-perl
-Recommends: postgresql-12,
+         ${misc:Depends},
+Recommends: postgresql-18,
             libgetopt-long-descriptive-perl,
             libterm-readpassword-perl
 Description: efficient PostgreSQL table content comparison and synchronization

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_install:
 	dh_install pg_comparator /usr/bin

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://www.cri.ensmp.fr/~coelho/sw/pg_comparator/ \
(?:.*?/)?(?:pg_comparator)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
